GNU bug report logs - #14734
24.3.50; REGRESSION: defadvice broken wrt doc strings (C-h f)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Drew Adams <drew.adams@HIDDEN>; Keywords: notabug wontfix; merged with #13581, #14070; dated Thu, 27 Jun 2013 17:10:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 13581 14070 14734. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 13581 14734. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 14734 <at> debbugs.gnu.org:


Received: (at 14734) by debbugs.gnu.org; 20 Oct 2013 23:27:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 20 19:27:16 2013
Received: from localhost ([127.0.0.1]:59603 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VY2Oy-0007Yu-1J
	for submit <at> debbugs.gnu.org; Sun, 20 Oct 2013 19:27:16 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:36561)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1VY2Ov-0007Yd-BA
 for 14734 <at> debbugs.gnu.org; Sun, 20 Oct 2013 19:27:13 -0400
Received: from acsinet22.oracle.com (acsinet22.oracle.com [141.146.126.238])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.1/Sentrion-MTA-4.3.1) with ESMTP id
 r9KNR6W1017744
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Sun, 20 Oct 2013 23:27:06 GMT
Received: from aserz7021.oracle.com (aserz7021.oracle.com [141.146.126.230])
 by acsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id r9KNR5Sw013881
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
 Sun, 20 Oct 2013 23:27:05 GMT
Received: from abhmt108.oracle.com (abhmt108.oracle.com [141.146.116.60])
 by aserz7021.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id r9KNR4Rg020492;
 Sun, 20 Oct 2013 23:27:04 GMT
MIME-Version: 1.0
Message-ID: <da5fe6e3-ebd1-436b-bb02-600fa035ea90@default>
Date: Sun, 20 Oct 2013 16:27:07 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: RE: bug#14734: 24.3.50; REGRESSION: defadvice broken wrt doc strings
 (C-h f)
References: <c72999d0-4210-4719-934d-e9e06f522f70@default>
 <jwvsj034e5b.fsf-monnier+emacs@HIDDEN> <87ppv550s6.fsf@HIDDEN>
 <jwvtxkh4ybf.fsf-monnier+emacs@HIDDEN>
 <309ce668-1d40-4865-b796-d6828f65a8d4@default>
 <jwvr4fl1xfm.fsf-monnier+emacs@HIDDEN>
 <49fae9c3-c59c-4b08-84f0-24dc9935b345@default>
 <jwva9m91u58.fsf-monnier+emacs@HIDDEN>
In-Reply-To: <jwva9m91u58.fsf-monnier+emacs@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8  (707110) [OL
 12.0.6680.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: acsinet22.oracle.com [141.146.126.238]
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 14734
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 14734 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

> the old advice.el was made to work on top of the new nadvice.el (the
> total size of the new advice.el and nadvice.el is about the same as
> the old advice.el).

But the new advice, and now the old advice too, since it is on top of
the new, does NOT work.  Specifically, there is this regression wrt
doc strings.

This should not be a `wont-fix' bug.  It should be fixed.

It should be fixed in the advice system that is documented in the
manuals, which for now is still the "old" system (there is nothing
about the nadvice stuff in the manuals).

If the "new" system will at some point replace the old and itself be
documented differently, instead of being only, as you say now,
internal, then it too will need to be fixed wrt its handling of the
doc string.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14734; Package emacs. Full text available.

Message received at 14734 <at> debbugs.gnu.org:


Received: (at 14734) by debbugs.gnu.org; 6 Jul 2013 20:22:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 06 16:22:42 2013
Received: from localhost ([127.0.0.1]:35439 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UvZ0E-0004Zx-4e
	for submit <at> debbugs.gnu.org; Sat, 06 Jul 2013 16:22:42 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:45602)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1UvZ0B-0004Zj-QY
 for 14734 <at> debbugs.gnu.org; Sat, 06 Jul 2013 16:22:40 -0400
Received: from ucsinet22.oracle.com (ucsinet22.oracle.com [156.151.31.94])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.1/Sentrion-MTA-4.3.1) with ESMTP id
 r66KMWfc003876
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Sat, 6 Jul 2013 20:22:33 GMT
Received: from userz7022.oracle.com (userz7022.oracle.com [156.151.31.86])
 by ucsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id r66KMV1l006519
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
 Sat, 6 Jul 2013 20:22:31 GMT
Received: from abhmt106.oracle.com (abhmt106.oracle.com [141.146.116.58])
 by userz7022.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id r66KMUCC006513;
 Sat, 6 Jul 2013 20:22:31 GMT
MIME-Version: 1.0
Message-ID: <79d15b84-e0a2-4967-bd32-1be3008af765@default>
Date: Sat, 6 Jul 2013 13:22:27 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: RE: bug#14734: 24.3.50; REGRESSION: defadvice broken wrt doc strings
 (C-h f)
References: <c72999d0-4210-4719-934d-e9e06f522f70@default>
 <jwvsj034e5b.fsf-monnier+emacs@HIDDEN> <87ppv550s6.fsf@HIDDEN>
 <jwvtxkh4ybf.fsf-monnier+emacs@HIDDEN>
 <309ce668-1d40-4865-b796-d6828f65a8d4@default>
 <jwvr4fl1xfm.fsf-monnier+emacs@HIDDEN>
 <49fae9c3-c59c-4b08-84f0-24dc9935b345@default>
 <jwva9m91u58.fsf-monnier+emacs@HIDDEN>
 <CAAeL0SR8kNw9FTHiVZXEz-Y-U3ao19GYZ-jqxoZx3nrJHD=OTA@HIDDEN>
 <jwvd2r44bsn.fsf-monnier+emacs@HIDDEN>
 <5c00eebb-f58f-4d6f-a648-d10fbd11d7cf@default>
 <jwvzju0r5k6.fsf-monnier+emacs@HIDDEN>
 <22a4419a-308e-4633-aba4-d85cfc0556e3@default>
 <jwv8v1koxmo.fsf-monnier+emacs@HIDDEN>
In-Reply-To: <jwv8v1koxmo.fsf-monnier+emacs@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.7  (607090) [OL
 12.0.6668.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: ucsinet22.oracle.com [156.151.31.94]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 14734
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>,
 Juanma Barranquero <lekktu@HIDDEN>, 14734 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

> > (It should have been obvious while implementing it that from
> > a user point of view it would be a mistake.)
>=20
> Yes, I'm simply an idiot

Please calm down.  No one questions your intelligence (as your
sarcasm indicates you know full well).

It's about effect on users; it's not only about implementation.

And it is certainly not about you or about intelligence.  Being
brilliant does not mean that one never makes mistakes or always
exercises the best judgment.  "I'm smart, therefore I must be
right" is not always a smart argument.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14734; Package emacs. Full text available.

Message received at 14734 <at> debbugs.gnu.org:


Received: (at 14734) by debbugs.gnu.org; 6 Jul 2013 09:18:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 06 05:18:09 2013
Received: from localhost ([127.0.0.1]:33632 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UvOd7-0002LM-3C
	for submit <at> debbugs.gnu.org; Sat, 06 Jul 2013 05:18:09 -0400
Received: from pruche.dit.umontreal.ca ([132.204.246.22]:40777)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1UvOd4-0002LA-Od
 for 14734 <at> debbugs.gnu.org; Sat, 06 Jul 2013 05:18:07 -0400
Received: from fmsmemgm.homelinux.net (lechon.iro.umontreal.ca
 [132.204.27.242])
 by pruche.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id r669I21u014326;
 Sat, 6 Jul 2013 05:18:03 -0400
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id DFF12AE0C1; Sat,  6 Jul 2013 05:18:01 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#14734: 24.3.50;
 REGRESSION: defadvice broken wrt doc strings (C-h f)
Message-ID: <jwv8v1koxmo.fsf-monnier+emacs@HIDDEN>
References: <c72999d0-4210-4719-934d-e9e06f522f70@default>
 <jwvsj034e5b.fsf-monnier+emacs@HIDDEN> <87ppv550s6.fsf@HIDDEN>
 <jwvtxkh4ybf.fsf-monnier+emacs@HIDDEN>
 <309ce668-1d40-4865-b796-d6828f65a8d4@default>
 <jwvr4fl1xfm.fsf-monnier+emacs@HIDDEN>
 <49fae9c3-c59c-4b08-84f0-24dc9935b345@default>
 <jwva9m91u58.fsf-monnier+emacs@HIDDEN>
 <CAAeL0SR8kNw9FTHiVZXEz-Y-U3ao19GYZ-jqxoZx3nrJHD=OTA@HIDDEN>
 <jwvd2r44bsn.fsf-monnier+emacs@HIDDEN>
 <5c00eebb-f58f-4d6f-a648-d10fbd11d7cf@default>
 <jwvzju0r5k6.fsf-monnier+emacs@HIDDEN>
 <22a4419a-308e-4633-aba4-d85cfc0556e3@default>
Date: Sat, 06 Jul 2013 05:18:01 -0400
In-Reply-To: <22a4419a-308e-4633-aba4-d85cfc0556e3@default> (Drew Adams's
 message of "Fri, 5 Jul 2013 18:40:17 -0700 (PDT)")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Level: 
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0.2
X-NAI-Spam-Rules: 2 Rules triggered
	GEN_SPAM_FEATRE=0.2, RV4630=0
X-NAI-Spam-Version: 2.3.0.9362 : core <4630> : streams <994994> : uri <1468578>
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: 14734
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>,
 Juanma Barranquero <lekktu@HIDDEN>, 14734 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.6 (-)

> (It should have been obvious while implementing it that from a user
> point of view it would be a mistake.)

Yes, I'm simply an idiot,


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14734; Package emacs. Full text available.

Message received at 14734 <at> debbugs.gnu.org:


Received: (at 14734) by debbugs.gnu.org; 6 Jul 2013 01:40:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 05 21:40:34 2013
Received: from localhost ([127.0.0.1]:33188 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UvHUG-00012y-FN
	for submit <at> debbugs.gnu.org; Fri, 05 Jul 2013 21:40:33 -0400
Received: from userp1040.oracle.com ([156.151.31.81]:28996)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1UvHUB-00012J-Ml
 for 14734 <at> debbugs.gnu.org; Fri, 05 Jul 2013 21:40:28 -0400
Received: from acsinet21.oracle.com (acsinet21.oracle.com [141.146.126.237])
 by userp1040.oracle.com (Sentrion-MTA-4.3.1/Sentrion-MTA-4.3.1) with ESMTP id
 r661eKmJ029011
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Sat, 6 Jul 2013 01:40:21 GMT
Received: from aserz7022.oracle.com (aserz7022.oracle.com [141.146.126.231])
 by acsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id r661eJs2028680
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
 Sat, 6 Jul 2013 01:40:20 GMT
Received: from abhmt106.oracle.com (abhmt106.oracle.com [141.146.116.58])
 by aserz7022.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id r661eJiT009653;
 Sat, 6 Jul 2013 01:40:19 GMT
MIME-Version: 1.0
Message-ID: <22a4419a-308e-4633-aba4-d85cfc0556e3@default>
Date: Fri, 5 Jul 2013 18:40:17 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: RE: bug#14734: 24.3.50; REGRESSION: defadvice broken wrt doc strings
 (C-h f)
References: <c72999d0-4210-4719-934d-e9e06f522f70@default>
 <jwvsj034e5b.fsf-monnier+emacs@HIDDEN> <87ppv550s6.fsf@HIDDEN>
 <jwvtxkh4ybf.fsf-monnier+emacs@HIDDEN>
 <309ce668-1d40-4865-b796-d6828f65a8d4@default>
 <jwvr4fl1xfm.fsf-monnier+emacs@HIDDEN>
 <49fae9c3-c59c-4b08-84f0-24dc9935b345@default>
 <jwva9m91u58.fsf-monnier+emacs@HIDDEN>
 <CAAeL0SR8kNw9FTHiVZXEz-Y-U3ao19GYZ-jqxoZx3nrJHD=OTA@HIDDEN>
 <jwvd2r44bsn.fsf-monnier+emacs@HIDDEN>
 <5c00eebb-f58f-4d6f-a648-d10fbd11d7cf@default>
 <jwvzju0r5k6.fsf-monnier+emacs@HIDDEN>
In-Reply-To: <jwvzju0r5k6.fsf-monnier+emacs@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.7  (607090) [OL
 12.0.6668.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: acsinet21.oracle.com [141.146.126.237]
X-Spam-Score: -2.5 (--)
X-Debbugs-Envelope-To: 14734
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>,
 Juanma Barranquero <lekktu@HIDDEN>, 14734 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.5 (--)

> > The patch for that is to revert the changes that caused the regression.
>=20
> If it's so easy, please send it along (but do test it first),

Oh come on.  No one said it was easy.  Someone implemented the
regressive code and should revert the regression s?he introduced.

(It should have been obvious while implementing it that from a user
point of view it would be a mistake.)

The regression is not in the release (24.3) or prior.  That's the good news=
.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14734; Package emacs. Full text available.

Message received at 14734 <at> debbugs.gnu.org:


Received: (at 14734) by debbugs.gnu.org; 5 Jul 2013 22:44:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 05 18:44:34 2013
Received: from localhost ([127.0.0.1]:32990 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UvEjy-0002lw-8s
	for submit <at> debbugs.gnu.org; Fri, 05 Jul 2013 18:44:34 -0400
Received: from pruche.dit.umontreal.ca ([132.204.246.22]:44251)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1UvEjw-0002lo-F6
 for 14734 <at> debbugs.gnu.org; Fri, 05 Jul 2013 18:44:32 -0400
Received: from fmsmemgm.homelinux.net (lechon.iro.umontreal.ca
 [132.204.27.242])
 by pruche.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id r65MiRMp027305;
 Fri, 5 Jul 2013 18:44:28 -0400
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id 70DD5AE0C1; Fri,  5 Jul 2013 18:44:26 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#14734: 24.3.50;
 REGRESSION: defadvice broken wrt doc strings (C-h f)
Message-ID: <jwvzju0r5k6.fsf-monnier+emacs@HIDDEN>
References: <c72999d0-4210-4719-934d-e9e06f522f70@default>
 <jwvsj034e5b.fsf-monnier+emacs@HIDDEN> <87ppv550s6.fsf@HIDDEN>
 <jwvtxkh4ybf.fsf-monnier+emacs@HIDDEN>
 <309ce668-1d40-4865-b796-d6828f65a8d4@default>
 <jwvr4fl1xfm.fsf-monnier+emacs@HIDDEN>
 <49fae9c3-c59c-4b08-84f0-24dc9935b345@default>
 <jwva9m91u58.fsf-monnier+emacs@HIDDEN>
 <CAAeL0SR8kNw9FTHiVZXEz-Y-U3ao19GYZ-jqxoZx3nrJHD=OTA@HIDDEN>
 <jwvd2r44bsn.fsf-monnier+emacs@HIDDEN>
 <5c00eebb-f58f-4d6f-a648-d10fbd11d7cf@default>
Date: Fri, 05 Jul 2013 18:44:26 -0400
In-Reply-To: <5c00eebb-f58f-4d6f-a648-d10fbd11d7cf@default> (Drew Adams's
 message of "Fri, 5 Jul 2013 07:50:13 -0700 (PDT)")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Level: 
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0.2
X-NAI-Spam-Rules: 2 Rules triggered
	GEN_SPAM_FEATRE=0.2, RV4630=0
X-NAI-Spam-Version: 2.3.0.9362 : core <4630> : streams <994713> : uri <1468141>
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: 14734
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>,
 Juanma Barranquero <lekktu@HIDDEN>, 14734 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.6 (-)

> The patch for that is to revert the changes that caused the regression.

If it's so easy, please send it along (but do test it first),


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14734; Package emacs. Full text available.

Message received at 14734 <at> debbugs.gnu.org:


Received: (at 14734) by debbugs.gnu.org; 5 Jul 2013 14:58:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 05 10:58:16 2013
Received: from localhost ([127.0.0.1]:60305 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Uv7Sh-0007en-Ow
	for submit <at> debbugs.gnu.org; Fri, 05 Jul 2013 10:58:16 -0400
Received: from mail-ea0-f173.google.com ([209.85.215.173]:41087)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1Uv7Se-0007eM-8X
 for 14734 <at> debbugs.gnu.org; Fri, 05 Jul 2013 10:58:13 -0400
Received: by mail-ea0-f173.google.com with SMTP id g15so1528743eak.32
 for <14734 <at> debbugs.gnu.org>; Fri, 05 Jul 2013 07:58:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=0IYmxCtZ3m0kyEzy6PJza8soHQ1AkJIsBqnNCkh2MVo=;
 b=m3fEDYIqHr97VY1kNlIkfQwmJ5CVVMb2hhMDRIWK0TGDF1O4qS1+zFGh0mb1L7fJth
 21srcJCh1pd5GqW5hbSbgHIKBcE26EJVRz8WKhqR5CdLv0uMw4oHSen80QtzIeaU3/BS
 uZv8gjhsZMFgpFp+1GlCzfQQFQPP1Hhodp5UpAJzhXJnePSn0yHnUAvmSKPjKuwgNwYJ
 Cr2+bgDg/HzSGkTFwJHTrXxlg6SyXfNv1AQPk5LWo5KnGrCg7TxpZabNbo6mfqAbxX4F
 vsc7OGPmYeXFZ8OmKAqYa2+BlmQu0q+SIr1vk30CPVI27lGg0dMQ9ahj4yXDRA6cLupk
 hwOg==
X-Received: by 10.14.218.8 with SMTP id j8mr12606370eep.129.1373036286230;
 Fri, 05 Jul 2013 07:58:06 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.14.142.4 with HTTP; Fri, 5 Jul 2013 07:57:26 -0700 (PDT)
In-Reply-To: <5c00eebb-f58f-4d6f-a648-d10fbd11d7cf@default>
References: <c72999d0-4210-4719-934d-e9e06f522f70@default>
 <jwvsj034e5b.fsf-monnier+emacs@HIDDEN>
 <87ppv550s6.fsf@HIDDEN> <jwvtxkh4ybf.fsf-monnier+emacs@HIDDEN>
 <309ce668-1d40-4865-b796-d6828f65a8d4@default>
 <jwvr4fl1xfm.fsf-monnier+emacs@HIDDEN>
 <49fae9c3-c59c-4b08-84f0-24dc9935b345@default>
 <jwva9m91u58.fsf-monnier+emacs@HIDDEN>
 <CAAeL0SR8kNw9FTHiVZXEz-Y-U3ao19GYZ-jqxoZx3nrJHD=OTA@HIDDEN>
 <jwvd2r44bsn.fsf-monnier+emacs@HIDDEN>
 <5c00eebb-f58f-4d6f-a648-d10fbd11d7cf@default>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Fri, 5 Jul 2013 16:57:26 +0200
Message-ID: <CAAeL0SSKZj5j3rdXPoB9B6Mg_PgKcCRpoYRYS+u1SbiBm88Cfw@HIDDEN>
Subject: Re: bug#14734: 24.3.50; REGRESSION: defadvice broken wrt doc strings
 (C-h f)
To: Drew Adams <drew.adams@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14734
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 14734 <at> debbugs.gnu.org,
 Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Fri, Jul 5, 2013 at 4:50 PM, Drew Adams <drew.adams@HIDDEN> wrote:

> Perhaps that is what Juanma meant: what the user sees via `C-h f'.

Yes.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14734; Package emacs. Full text available.

Message received at 14734 <at> debbugs.gnu.org:


Received: (at 14734) by debbugs.gnu.org; 5 Jul 2013 14:50:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 05 10:50:34 2013
Received: from localhost ([127.0.0.1]:60285 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Uv7LF-0007F7-FV
	for submit <at> debbugs.gnu.org; Fri, 05 Jul 2013 10:50:33 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:28802)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1Uv7L7-0007ET-8n
 for 14734 <at> debbugs.gnu.org; Fri, 05 Jul 2013 10:50:28 -0400
Received: from acsinet22.oracle.com (acsinet22.oracle.com [141.146.126.238])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.1/Sentrion-MTA-4.3.1) with ESMTP id
 r65EoIjt031533
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Fri, 5 Jul 2013 14:50:19 GMT
Received: from userz7021.oracle.com (userz7021.oracle.com [156.151.31.85])
 by acsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id r65EoGxM012409
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
 Fri, 5 Jul 2013 14:50:16 GMT
Received: from abhmt104.oracle.com (abhmt104.oracle.com [141.146.116.56])
 by userz7021.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id r65EoFh5029887;
 Fri, 5 Jul 2013 14:50:15 GMT
MIME-Version: 1.0
Message-ID: <5c00eebb-f58f-4d6f-a648-d10fbd11d7cf@default>
Date: Fri, 5 Jul 2013 07:50:13 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>, Juanma Barranquero
 <lekktu@HIDDEN>
Subject: RE: bug#14734: 24.3.50; REGRESSION: defadvice broken wrt doc strings
 (C-h f)
References: <c72999d0-4210-4719-934d-e9e06f522f70@default>
 <jwvsj034e5b.fsf-monnier+emacs@HIDDEN> <87ppv550s6.fsf@HIDDEN>
 <jwvtxkh4ybf.fsf-monnier+emacs@HIDDEN>
 <309ce668-1d40-4865-b796-d6828f65a8d4@default>
 <jwvr4fl1xfm.fsf-monnier+emacs@HIDDEN>
 <49fae9c3-c59c-4b08-84f0-24dc9935b345@default>
 <jwva9m91u58.fsf-monnier+emacs@HIDDEN>
 <CAAeL0SR8kNw9FTHiVZXEz-Y-U3ao19GYZ-jqxoZx3nrJHD=OTA@HIDDEN>
 <jwvd2r44bsn.fsf-monnier+emacs@HIDDEN>
In-Reply-To: <jwvd2r44bsn.fsf-monnier+emacs@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.7  (607090) [OL
 12.0.6668.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: acsinet22.oracle.com [141.146.126.238]
X-Spam-Score: -2.5 (--)
X-Debbugs-Envelope-To: 14734
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 14734 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.5 (--)

> > But I also agree with Drew that the current doctrings for adviced
> > functions are horrible and a big step backwards for users.
>=20
> Patches welcome,

The problem is not doc strings but the regression in user interaction.
Perhaps that is what Juanma meant: what the user sees via `C-h f'.

The patch for that is to revert the changes that caused the regression.

There is nothing wrong with providing a new advice mechanism, and a
better one is certainly welcome.  Thank you for working on that.
There is something very wrong, however, if doing that ruins the user
interface.

Advising functions provides a Lisp feature that is usable by Lisp users.
But ALL users make use of `C-h f', and often, and the changes made to
facilitate introducing the new advice have (apparently) broken the user
experience with `C-h f'.

This is a serious regression that deserves to be taken seriously.  The
code that introduced the regression should be backed out immediately, if
fixing it now would be too onerous.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14734; Package emacs. Full text available.

Message received at 14734 <at> debbugs.gnu.org:


Received: (at 14734) by debbugs.gnu.org; 30 Jun 2013 01:39:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 29 21:39:34 2013
Received: from localhost ([127.0.0.1]:48686 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Ut6c1-0004dT-OL
	for submit <at> debbugs.gnu.org; Sat, 29 Jun 2013 21:39:34 -0400
Received: from chene.dit.umontreal.ca ([132.204.246.20]:40043)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1Ut6bz-0004dK-4z
 for 14734 <at> debbugs.gnu.org; Sat, 29 Jun 2013 21:39:31 -0400
Received: from fmsmemgm.homelinux.net (lechon.iro.umontreal.ca
 [132.204.27.242])
 by chene.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id r5U1dTnp025649;
 Sat, 29 Jun 2013 21:39:29 -0400
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id E78E7AE2E1; Sat, 29 Jun 2013 21:39:28 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Juanma Barranquero <lekktu@HIDDEN>
Subject: Re: bug#14734: 24.3.50;
 REGRESSION: defadvice broken wrt doc strings (C-h f)
Message-ID: <jwvd2r44bsn.fsf-monnier+emacs@HIDDEN>
References: <c72999d0-4210-4719-934d-e9e06f522f70@default>
 <jwvsj034e5b.fsf-monnier+emacs@HIDDEN> <87ppv550s6.fsf@HIDDEN>
 <jwvtxkh4ybf.fsf-monnier+emacs@HIDDEN>
 <309ce668-1d40-4865-b796-d6828f65a8d4@default>
 <jwvr4fl1xfm.fsf-monnier+emacs@HIDDEN>
 <49fae9c3-c59c-4b08-84f0-24dc9935b345@default>
 <jwva9m91u58.fsf-monnier+emacs@HIDDEN>
 <CAAeL0SR8kNw9FTHiVZXEz-Y-U3ao19GYZ-jqxoZx3nrJHD=OTA@HIDDEN>
Date: Sat, 29 Jun 2013 21:39:28 -0400
In-Reply-To: <CAAeL0SR8kNw9FTHiVZXEz-Y-U3ao19GYZ-jqxoZx3nrJHD=OTA@HIDDEN>
 (Juanma Barranquero's message of "Sat, 29 Jun 2013 22:29:13 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Level: 
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0.2
X-NAI-Spam-Rules: 2 Rules triggered
	GEN_SPAM_FEATRE=0.2, RV4624=0
X-NAI-Spam-Version: 2.3.0.9362 : core <4624> : streams <991378> : uri <1462508>
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 14734
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 14734 <at> debbugs.gnu.org,
 Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

> But I also agree with Drew that the current doctrings for adviced
> functions are horrible and a big step backwards for users.

Patches welcome,


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14734; Package emacs. Full text available.

Message received at 14734 <at> debbugs.gnu.org:


Received: (at 14734) by debbugs.gnu.org; 29 Jun 2013 20:30:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 29 16:30:03 2013
Received: from localhost ([127.0.0.1]:48529 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Ut1mT-0003ud-OF
	for submit <at> debbugs.gnu.org; Sat, 29 Jun 2013 16:30:02 -0400
Received: from mail-wi0-f180.google.com ([209.85.212.180]:52212)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1Ut1mR-0003u2-6F
 for 14734 <at> debbugs.gnu.org; Sat, 29 Jun 2013 16:29:59 -0400
Received: by mail-wi0-f180.google.com with SMTP id c10so1916057wiw.7
 for <14734 <at> debbugs.gnu.org>; Sat, 29 Jun 2013 13:29:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=6zH56EOxT2hxDALfruB4AsGICP0Cxb8HrYE66A+WVKM=;
 b=occG4geweEVsXAK90ilWzpU6t5py3VLn4+t59pdsSvyyHi7vnxnZOF8LwjVQ7n/eF2
 IBmOwkd38TolB7+BwTau6cFWZSjFTMk5xV/0+uAUbnUGY3MpTJM+92k+Nj8Uy8Ojw9EO
 M49lYQINs3OqPehP7OsqmYFMx5DJDDjxi7OjYO3trtN32a+CkfOz9Ga4+V08EuawpgZp
 cXD6dDAhGruPmDpArNFPTPQabYsVAGDCtaGXNjap1o9DCX18OSlNoT8NzTOSPViIiBYr
 qQe3nxwd2zaXpSdEvRBXfrygjlxYZmgzko/hD0fpEOkxEJbc6T649R+sOr7dyQxa/8+G
 1P3Q==
X-Received: by 10.194.20.97 with SMTP id m1mr15291158wje.31.1372537793448;
 Sat, 29 Jun 2013 13:29:53 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.14.142.4 with HTTP; Sat, 29 Jun 2013 13:29:13 -0700 (PDT)
In-Reply-To: <jwva9m91u58.fsf-monnier+emacs@HIDDEN>
References: <c72999d0-4210-4719-934d-e9e06f522f70@default>
 <jwvsj034e5b.fsf-monnier+emacs@HIDDEN>
 <87ppv550s6.fsf@HIDDEN> <jwvtxkh4ybf.fsf-monnier+emacs@HIDDEN>
 <309ce668-1d40-4865-b796-d6828f65a8d4@default>
 <jwvr4fl1xfm.fsf-monnier+emacs@HIDDEN>
 <49fae9c3-c59c-4b08-84f0-24dc9935b345@default>
 <jwva9m91u58.fsf-monnier+emacs@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Sat, 29 Jun 2013 22:29:13 +0200
Message-ID: <CAAeL0SR8kNw9FTHiVZXEz-Y-U3ao19GYZ-jqxoZx3nrJHD=OTA@HIDDEN>
Subject: Re: bug#14734: 24.3.50; REGRESSION: defadvice broken wrt doc strings
 (C-h f)
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14734
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 14734 <at> debbugs.gnu.org,
 Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Sat, Jun 29, 2013 at 5:24 AM, Stefan Monnier
<monnier@HIDDEN> wrote:

> The old advice.el could be reimplemented to use nadvice more directly
> (e.g. so that each defadvice turns into a single advice-add, rather
> than bundling all defadvice into a single advice-add), which would solve
> some of your complaints, but it's a lot of work and would probably break
> more backward compatibility because it'd be difficult to preserve some
> details of advice.el's semantics.

FWIW, I like a lot the new advice system and I understand why does not
make sense to spend much time with the old advices (I'm quite happy to
see the end of ad-do-it and other clumsy macros).

But I also agree with Drew that the current doctrings for adviced
functions are horrible and a big step backwards for users.

    J




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14734; Package emacs. Full text available.

Message received at 14734 <at> debbugs.gnu.org:


Received: (at 14734) by debbugs.gnu.org; 29 Jun 2013 03:25:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 28 23:25:03 2013
Received: from localhost ([127.0.0.1]:47589 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UslmY-0000Yd-1I
	for submit <at> debbugs.gnu.org; Fri, 28 Jun 2013 23:25:02 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:20630)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1UslmS-0000YD-Vx
 for 14734 <at> debbugs.gnu.org; Fri, 28 Jun 2013 23:24:59 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av8EABK/CFFMCppA/2dsb2JhbABEuzWDWRdzgh4BAQQBViMFCws0EhQYDSSIHgbBLZEKA6R6gV6DEw
X-IPAS-Result: Av8EABK/CFFMCppA/2dsb2JhbABEuzWDWRdzgh4BAQQBViMFCws0EhQYDSSIHgbBLZEKA6R6gV6DEw
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; d="scan'208";a="17430556"
Received: from 76-10-154-64.dsl.teksavvy.com (HELO pastel.home)
 ([76.10.154.64])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 28 Jun 2013 23:24:45 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id 96BDC67951; Fri, 28 Jun 2013 23:24:50 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#14734: 24.3.50;
 REGRESSION: defadvice broken wrt doc strings (C-h f)
Message-ID: <jwva9m91u58.fsf-monnier+emacs@HIDDEN>
References: <c72999d0-4210-4719-934d-e9e06f522f70@default>
 <jwvsj034e5b.fsf-monnier+emacs@HIDDEN> <87ppv550s6.fsf@HIDDEN>
 <jwvtxkh4ybf.fsf-monnier+emacs@HIDDEN>
 <309ce668-1d40-4865-b796-d6828f65a8d4@default>
 <jwvr4fl1xfm.fsf-monnier+emacs@HIDDEN>
 <49fae9c3-c59c-4b08-84f0-24dc9935b345@default>
Date: Fri, 28 Jun 2013 23:24:50 -0400
In-Reply-To: <49fae9c3-c59c-4b08-84f0-24dc9935b345@default> (Drew Adams's
 message of "Fri, 28 Jun 2013 19:28:35 -0700 (PDT)")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 14734
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 14734 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> An argument was made that the REimplementation of something that
> worked well was done (was necessary?) to allow for backward
> compatibility.  I was speaking to that argument.

There has been no reimplementation (that would have been a waste of
time, since it's a package planned to become obsolete).  There's only
been some adjustments to make it so that the two advice packages don't
step on each other's feet.  More specifically, the old advice.el was
made to work on top of the new nadvice.el (the total size of the the new
advice.el and nadvice.el is about the same as the old advice.el).

The old advice.el could be reimplemented to use nadvice more directly
(e.g. so that each defadvice turns into a single advice-add, rather
than bundling all defadvice into a single advice-add), which would solve
some of your complaints, but it's a lot of work and would probably break
more backward compatibility because it'd be difficult to preserve some
details of advice.el's semantics.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14734; Package emacs. Full text available.

Message received at 14734 <at> debbugs.gnu.org:


Received: (at 14734) by debbugs.gnu.org; 29 Jun 2013 02:28:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 28 22:28:47 2013
Received: from localhost ([127.0.0.1]:47558 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Usku6-00076R-KJ
	for submit <at> debbugs.gnu.org; Fri, 28 Jun 2013 22:28:46 -0400
Received: from userp1040.oracle.com ([156.151.31.81]:36715)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1Usku4-00076A-UB
 for 14734 <at> debbugs.gnu.org; Fri, 28 Jun 2013 22:28:45 -0400
Received: from acsinet21.oracle.com (acsinet21.oracle.com [141.146.126.237])
 by userp1040.oracle.com (Sentrion-MTA-4.3.1/Sentrion-MTA-4.3.1) with ESMTP id
 r5T2MI4R032486
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Sat, 29 Jun 2013 02:22:19 GMT
Received: from aserz7021.oracle.com (aserz7021.oracle.com [141.146.126.230])
 by acsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id r5T2Sakg003414
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
 Sat, 29 Jun 2013 02:28:37 GMT
Received: from abhmt117.oracle.com (abhmt117.oracle.com [141.146.116.69])
 by aserz7021.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id r5T2SaFS003411;
 Sat, 29 Jun 2013 02:28:36 GMT
MIME-Version: 1.0
Message-ID: <49fae9c3-c59c-4b08-84f0-24dc9935b345@default>
Date: Fri, 28 Jun 2013 19:28:35 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: RE: bug#14734: 24.3.50; REGRESSION: defadvice broken wrt doc strings
 (C-h f)
References: <c72999d0-4210-4719-934d-e9e06f522f70@default>
 <jwvsj034e5b.fsf-monnier+emacs@HIDDEN> <87ppv550s6.fsf@HIDDEN>
 <jwvtxkh4ybf.fsf-monnier+emacs@HIDDEN>
 <309ce668-1d40-4865-b796-d6828f65a8d4@default>
 <jwvr4fl1xfm.fsf-monnier+emacs@HIDDEN>
In-Reply-To: <jwvr4fl1xfm.fsf-monnier+emacs@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.7  (607090) [OL
 12.0.6668.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: acsinet21.oracle.com [141.146.126.237]
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: 14734
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 14734 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.6 (---)

> >> > Let me add that advice.el is not yet obsolete,
> >> Indeed, but it's only a question of time.
> > So much for the argument about "backward compatibility".
>=20
> What kind of ass comment is that?

?

> You know full well that "obsolete" does not mean "not backward
> compatible".

An argument was made that the REimplementation of something that
worked well was done (was necessary?) to allow for backward
compatibility.  I was speaking to that argument.

If that is really the reason for reimplementing the old, and
the old is slated for obsolescence, then that extra "backward
compatibility" work, which degrades the user experience, would
not seem to be worth much, would it?

I have my doubts that providing "backward compatibility" was
the reason for the reimplementation, but I have no special
insight into the reason.  Clearly, someone went to some trouble
to code the old anew, for some reason.

The old code was already backward compatible, by definition.
What was the reason that the `C-h f' behavior needed to change
so negatively?  Please don't say that it is a gift of backward
compatibility.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14734; Package emacs. Full text available.

Message received at 14734 <at> debbugs.gnu.org:


Received: (at 14734) by debbugs.gnu.org; 29 Jun 2013 02:09:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 28 22:09:22 2013
Received: from localhost ([127.0.0.1]:47544 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UskbJ-0006XE-Mg
	for submit <at> debbugs.gnu.org; Fri, 28 Jun 2013 22:09:21 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:5253)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1UskbG-0006Ww-Pp
 for 14734 <at> debbugs.gnu.org; Fri, 28 Jun 2013 22:09:19 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av8EABK/CFFMCppA/2dsb2JhbABEuzWDWRdzgh4BAQQBViMQCzQSFBgNJIgeBsEtkQoDpHqBXoMT
X-IPAS-Result: Av8EABK/CFFMCppA/2dsb2JhbABEuzWDWRdzgh4BAQQBViMQCzQSFBgNJIgeBsEtkQoDpHqBXoMT
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; d="scan'208";a="17428238"
Received: from 76-10-154-64.dsl.teksavvy.com (HELO pastel.home)
 ([76.10.154.64])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 28 Jun 2013 22:09:07 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id 52F4E6A6BC; Fri, 28 Jun 2013 22:09:12 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#14734: 24.3.50;
 REGRESSION: defadvice broken wrt doc strings (C-h f)
Message-ID: <jwvr4fl1xfm.fsf-monnier+emacs@HIDDEN>
References: <c72999d0-4210-4719-934d-e9e06f522f70@default>
 <jwvsj034e5b.fsf-monnier+emacs@HIDDEN> <87ppv550s6.fsf@HIDDEN>
 <jwvtxkh4ybf.fsf-monnier+emacs@HIDDEN>
 <309ce668-1d40-4865-b796-d6828f65a8d4@default>
Date: Fri, 28 Jun 2013 22:09:12 -0400
In-Reply-To: <309ce668-1d40-4865-b796-d6828f65a8d4@default> (Drew Adams's
 message of "Fri, 28 Jun 2013 18:37:38 -0700 (PDT)")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 14734
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 14734 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

>> > Let me add that advice.el is not yet obsolete,
>> Indeed, but it's only a question of time.
> So much for the argument about "backward compatibility".

What kind of ass comment is that?  You know full well that "obsolete"
does not mean "not backward compatible".


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14734; Package emacs. Full text available.

Message received at 14734 <at> debbugs.gnu.org:


Received: (at 14734) by debbugs.gnu.org; 29 Jun 2013 01:37:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 28 21:37:51 2013
Received: from localhost ([127.0.0.1]:47525 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Usk6o-0005Sh-LR
	for submit <at> debbugs.gnu.org; Fri, 28 Jun 2013 21:37:50 -0400
Received: from userp1040.oracle.com ([156.151.31.81]:28666)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1Usk6k-0005SM-Qh
 for 14734 <at> debbugs.gnu.org; Fri, 28 Jun 2013 21:37:47 -0400
Received: from acsinet21.oracle.com (acsinet21.oracle.com [141.146.126.237])
 by userp1040.oracle.com (Sentrion-MTA-4.3.1/Sentrion-MTA-4.3.1) with ESMTP id
 r5T1VKc1002427
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Sat, 29 Jun 2013 01:31:21 GMT
Received: from aserz7021.oracle.com (aserz7021.oracle.com [141.146.126.230])
 by acsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id r5T1bc88008705
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
 Sat, 29 Jun 2013 01:37:39 GMT
Received: from abhmt106.oracle.com (abhmt106.oracle.com [141.146.116.58])
 by aserz7021.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id r5T1bcHL008702;
 Sat, 29 Jun 2013 01:37:38 GMT
MIME-Version: 1.0
Message-ID: <309ce668-1d40-4865-b796-d6828f65a8d4@default>
Date: Fri, 28 Jun 2013 18:37:38 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>, Michael Heerdegen
 <michael_heerdegen@HIDDEN>
Subject: RE: bug#14734: 24.3.50; REGRESSION: defadvice broken wrt doc strings
 (C-h f)
References: <c72999d0-4210-4719-934d-e9e06f522f70@default>
 <jwvsj034e5b.fsf-monnier+emacs@HIDDEN> <87ppv550s6.fsf@HIDDEN>
 <jwvtxkh4ybf.fsf-monnier+emacs@HIDDEN>
In-Reply-To: <jwvtxkh4ybf.fsf-monnier+emacs@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.7  (607090) [OL
 12.0.6668.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: acsinet21.oracle.com [141.146.126.237]
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: 14734
Cc: 14734 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.6 (---)

> > Let me add that advice.el is not yet obsolete,
>=20
> Indeed, but it's only a question of time.

So much for the argument about "backward compatibility".

N'importe quoi.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14734; Package emacs. Full text available.

Message received at 14734 <at> debbugs.gnu.org:


Received: (at 14734) by debbugs.gnu.org; 28 Jun 2013 23:21:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 28 19:21:30 2013
Received: from localhost ([127.0.0.1]:47416 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Ushyr-0001Ih-Ax
	for submit <at> debbugs.gnu.org; Fri, 28 Jun 2013 19:21:29 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:16576)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1Ushyo-0001IJ-A0
 for 14734 <at> debbugs.gnu.org; Fri, 28 Jun 2013 19:21:27 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av8EABK/CFFMCppA/2dsb2JhbABEuzWDWRdzgh4BAQQBViMFCws0EhQYDSSIHgbBLZEKA6R6gV6DEw
X-IPAS-Result: Av8EABK/CFFMCppA/2dsb2JhbABEuzWDWRdzgh4BAQQBViMFCws0EhQYDSSIHgbBLZEKA6R6gV6DEw
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; d="scan'208";a="17421606"
Received: from 76-10-154-64.dsl.teksavvy.com (HELO fmsmemgm.homelinux.net)
 ([76.10.154.64])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 28 Jun 2013 19:21:14 -0400
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id 59EDAAE2E1; Fri, 28 Jun 2013 19:21:19 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#14734: 24.3.50;
 REGRESSION: defadvice broken wrt doc strings (C-h f)
Message-ID: <jwvtxkh4ybf.fsf-monnier+emacs@HIDDEN>
References: <c72999d0-4210-4719-934d-e9e06f522f70@default>
 <jwvsj034e5b.fsf-monnier+emacs@HIDDEN> <87ppv550s6.fsf@HIDDEN>
Date: Fri, 28 Jun 2013 19:21:19 -0400
In-Reply-To: <87ppv550s6.fsf@HIDDEN> (Michael Heerdegen's message of "Sat, 29
 Jun 2013 00:27:21 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 14734
Cc: 14734 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> Let me add that advice.el is not yet obsolete,

Indeed, but it's only a question of time.

> and the manual still explains the old advice.el.

That's a bug that needs fixing, yes.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14734; Package emacs. Full text available.

Message received at 14734 <at> debbugs.gnu.org:


Received: (at 14734) by debbugs.gnu.org; 28 Jun 2013 22:27:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 28 18:27:36 2013
Received: from localhost ([127.0.0.1]:47392 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Ush8i-0008Bc-0V
	for submit <at> debbugs.gnu.org; Fri, 28 Jun 2013 18:27:36 -0400
Received: from mout.web.de ([212.227.15.4]:51783)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1Ush8e-0008BN-6A
 for 14734 <at> debbugs.gnu.org; Fri, 28 Jun 2013 18:27:32 -0400
Received: from drachen.dragon ([2.201.213.111]) by smtp.web.de (mrweb004) with
 ESMTPSA (Nemesis) id 0MhOpG-1Uf28k2IL4-00Mb4R;
 Sat, 29 Jun 2013 00:27:25 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: 14734 <at> debbugs.gnu.org
Subject: Re: bug#14734: 24.3.50;
 REGRESSION: defadvice broken wrt doc strings (C-h f)
References: <c72999d0-4210-4719-934d-e9e06f522f70@default>
 <jwvsj034e5b.fsf-monnier+emacs@HIDDEN>
Date: Sat, 29 Jun 2013 00:27:21 +0200
In-Reply-To: <jwvsj034e5b.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Thu, 27 Jun 2013 14:15:22 -0400")
Message-ID: <87ppv550s6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:f4s0dP6u5OcL0ENbhryth4FbCNatJc9d6mscA8XPcpaL4beC0BI
 DnhKZ4zJ/jFEbsX4LYDBFbY5GXsGNnNWvUWQyyOdr2ghehvNVSCJkeih7ySn83mOPTl+h8l
 61gIAwfoqhTa0WqRXL9YxQ8lXsnmeo/9oxQ1RtcNXgg7rv07PMHQY6Bl5UM00ZQTSci4pma
 i0j66bEXNAVK0HFbh6qmQ==
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 14734
Cc: monnier@HIDDEN, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

Stefan Monnier <monnier@HIDDEN> writes:

> >  :around advice: `ad-Advice-isearch-forward'
> [...]
> > It is also incorrect.  The advice is :before, not :around.
>
> It is correct: the ad-Advice-isearch-forward advice is an around advice
> (and it is not your advice, it's internal as you say).
> If you click on it, you'll see your before advice, properly labeled.
>
> If you don't want to see the internal thingy, then use the new
> advice-add rather than the old defadvice.

Let me add that advice.el is not yet obsolete, and the manual still
explains the old advice.el.  We should try reach a consistent state,
i.e. C-h f should report information according to the package the user
is told to use.


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14734; Package emacs. Full text available.

Message received at 14734 <at> debbugs.gnu.org:


Received: (at 14734) by debbugs.gnu.org; 28 Jun 2013 22:19:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 28 18:19:22 2013
Received: from localhost ([127.0.0.1]:47384 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Ush0k-0007wk-3g
	for submit <at> debbugs.gnu.org; Fri, 28 Jun 2013 18:19:22 -0400
Received: from mout.web.de ([212.227.15.4]:56195)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1Ush0h-0007wS-Vg
 for 14734 <at> debbugs.gnu.org; Fri, 28 Jun 2013 18:19:20 -0400
Received: from drachen.dragon ([2.201.213.111]) by smtp.web.de (mrweb001) with
 ESMTPSA (Nemesis) id 0M7Kek-1U4s2L3tbS-00x6xp;
 Sat, 29 Jun 2013 00:19:12 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#14734: 24.3.50;
 REGRESSION: defadvice broken wrt doc strings (C-h f)
References: <c72999d0-4210-4719-934d-e9e06f522f70@default>
 <jwvsj034e5b.fsf-monnier+emacs@HIDDEN>
 <9cf39b5d-d100-4b72-bf78-95f6cee0d8c0@default>
 <c6e75742-6033-40ff-8fd4-79e190eefa8b@default>
 <87a9mat176.fsf@HIDDEN>
 <45e03b9a-0b57-4ce9-b4da-04060fd902f7@default>
Date: Sat, 29 Jun 2013 00:19:07 +0200
In-Reply-To: <45e03b9a-0b57-4ce9-b4da-04060fd902f7@default> (Drew Adams's
 message of "Fri, 28 Jun 2013 14:56:55 -0700 (PDT)")
Message-ID: <87txkh515w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:JqcYy2SU529RM/p6Fr0EcRuLj1ZfdYwDogGbpTjhRFLziPeL8vJ
 Htf3Ofn8EyqtYEzy8Fwspi5DCzvIu84VZ6e2vxsTtpqqdqWiDaJHyvI1AreRp90qUhgC+q5
 UQCcgATnHz9FgGuaJQOxO3uRJ/63kgwey7KApPKvFtPafYstLjUqnWoOWyfHYjb4vUu6i20
 kSB5MMXYNeARzgUOxNZJg==
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 14734
Cc: 14734 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

Drew Adams <drew.adams@HIDDEN> writes:

> And just why did something already implemented (and stable for years)
> need to be REimplemented "for backward compatibility"?  Why did adding
> something new and different and presumably better require ALSO
> reimplementing something that was already, by definition, backward
> compatible?

I had the same question - since reimplementing should have been a bit of
work.  But maintaining the reimplementation is probably much easier than
doing so for the old package, so I can understand this decision.


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14734; Package emacs. Full text available.

Message received at 14734 <at> debbugs.gnu.org:


Received: (at 14734) by debbugs.gnu.org; 28 Jun 2013 21:57:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 28 17:57:08 2013
Received: from localhost ([127.0.0.1]:47364 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UsgfD-0007GU-BV
	for submit <at> debbugs.gnu.org; Fri, 28 Jun 2013 17:57:07 -0400
Received: from userp1040.oracle.com ([156.151.31.81]:22084)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1UsgfA-0007Fx-6o
 for 14734 <at> debbugs.gnu.org; Fri, 28 Jun 2013 17:57:05 -0400
Received: from ucsinet21.oracle.com (ucsinet21.oracle.com [156.151.31.93])
 by userp1040.oracle.com (Sentrion-MTA-4.3.1/Sentrion-MTA-4.3.1) with ESMTP id
 r5SLocIE023320
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Fri, 28 Jun 2013 21:50:38 GMT
Received: from userz7021.oracle.com (userz7021.oracle.com [156.151.31.85])
 by ucsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id r5SLuu6h016808
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
 Fri, 28 Jun 2013 21:56:56 GMT
Received: from abhmt106.oracle.com (abhmt106.oracle.com [141.146.116.58])
 by userz7021.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id r5SLutIl016796;
 Fri, 28 Jun 2013 21:56:55 GMT
MIME-Version: 1.0
Message-ID: <45e03b9a-0b57-4ce9-b4da-04060fd902f7@default>
Date: Fri, 28 Jun 2013 14:56:55 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: RE: bug#14734: 24.3.50; REGRESSION: defadvice broken wrt doc strings
 (C-h f)
References: <c72999d0-4210-4719-934d-e9e06f522f70@default>
 <jwvsj034e5b.fsf-monnier+emacs@HIDDEN>
 <9cf39b5d-d100-4b72-bf78-95f6cee0d8c0@default>
 <c6e75742-6033-40ff-8fd4-79e190eefa8b@default> <87a9mat176.fsf@HIDDEN>
In-Reply-To: <87a9mat176.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.7  (607090) [OL
 12.0.6668.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: ucsinet21.oracle.com [156.151.31.93]
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: 14734
Cc: 14734 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.6 (---)

> > The change introduced is horrible for users.  Now they see only
> > the original doc string, plus a link that will be incomprehensible
> > to many (so skipped over by them):
>=20
> You're overdramatizing. It's less convenient, but far from "horrible".
>=20
> > Not only can Emacs do better, it always HAS.  This is a real step
> > backward for users.  Intentional or not.  I'm reopening the bug.
> > I hope you will seriously consider reverting the misguided changes
> > that introduced this regression.
>=20
> It's obviously the result of advice.el being re-implemented using
> nadvice.el, for backward compatibility. Having a minor regression in
> functionality in this kind of situation is fairly normal.

If your point of view is only that of an implementor, you see only
"less convenient", "minor regression", and "fairly normal".  You see
the regression as just "a result of ... being reimplemented", as if
design and the user experience do not matter.  Implementation leads.

If your point of view is that of a user, the result is a real step
backward and, yes, pretty horrible.  The design should lead, for users.

One opinion, of course.

And just why did something already implemented (and stable for years)
need to be REimplemented "for backward compatibility"?  Why did adding
something new and different and presumably better require ALSO
reimplementing something that was already, by definition, backward
compatible?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14734; Package emacs. Full text available.

Message received at 14734 <at> debbugs.gnu.org:


Received: (at 14734) by debbugs.gnu.org; 28 Jun 2013 20:44:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 28 16:44:40 2013
Received: from localhost ([127.0.0.1]:47323 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UsfX5-0005C5-Ud
	for submit <at> debbugs.gnu.org; Fri, 28 Jun 2013 16:44:40 -0400
Received: from mail-lb0-f176.google.com ([209.85.217.176]:51570)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <raaahh@HIDDEN>) id 1UsfX2-0005Bk-PA
 for 14734 <at> debbugs.gnu.org; Fri, 28 Jun 2013 16:44:37 -0400
Received: by mail-lb0-f176.google.com with SMTP id z5so1243283lbh.21
 for <14734 <at> debbugs.gnu.org>; Fri, 28 Jun 2013 13:44:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-type:x-antivirus:x-antivirus-status;
 bh=jxg8l32oaNGjsNyi95iyIC2aggxqY/LDq6xAuuzlVq0=;
 b=FTydV5YR6BwUlTGKOK+6bNflV1Fv+Gg6HStmIx6cTilDIDDAqZX+/IUwNGZzaVJhsP
 6LEjTBjJP+YqtZBERqFtvorPTHVhly9Qz3dvK7wWCAEEED1KgMIWW8Mme8wJDZCGd4/M
 Qxufd0Ah+jAlPxy2Oz/jlii9AwGizfXav1BDg0w/tNXTQmr3BJbTkvRQOx4mLQoeqiID
 BdP6gdwox3tv9auEOplAcKj4EvMF/Fn6PEvd9uXQsF7xw9WMWbVq3v8FbeBhZsDmhw4/
 NJfSEdfBSqqBo/voXkDPG8iMJhxUY0HQkZSLanBYnjEaUAmctc0wULhOo5WJOieXFtLB
 t/jQ==
X-Received: by 10.112.218.100 with SMTP id pf4mr7374760lbc.2.1372452270368;
 Fri, 28 Jun 2013 13:44:30 -0700 (PDT)
Received: from SOL ([178.252.98.87])
 by mx.google.com with ESMTPSA id 8sm2549894lbn.9.2013.06.28.13.44.28
 for <multiple recipients>
 (version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
 Fri, 28 Jun 2013 13:44:29 -0700 (PDT)
From: Dmitry Gutov <dgutov@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#14734: 24.3.50;
 REGRESSION: defadvice broken wrt doc strings (C-h f)
References: <c72999d0-4210-4719-934d-e9e06f522f70@default>
 <jwvsj034e5b.fsf-monnier+emacs@HIDDEN>
 <9cf39b5d-d100-4b72-bf78-95f6cee0d8c0@default>
 <c6e75742-6033-40ff-8fd4-79e190eefa8b@default>
Date: Sat, 29 Jun 2013 00:44:29 +0400
In-Reply-To: <c6e75742-6033-40ff-8fd4-79e190eefa8b@default> (Drew Adams's
 message of "Fri, 28 Jun 2013 10:39:54 -0700 (PDT)")
Message-ID: <87a9mat176.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Antivirus: avast! (VPS 130628-1, 28.06.2013), Outbound message
X-Antivirus-Status: Clean
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14734
Cc: 14734 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

(Not Stefan.)

Drew Adams <drew.adams@HIDDEN> writes:

> The change introduced is horrible for users.  Now they see only
> the original doc string, plus a link that will be incomprehensible
> to many (so skipped over by them):

You're overdramatizing. It's less convenient, but far from "horrible".

> Not only can Emacs do better, it always HAS.  This is a real step
> backward for users.  Intentional or not.  I'm reopening the bug.
> I hope you will seriously consider reverting the misguided changes
> that introduced this regression.

It's obviously the result of advice.el being re-implemented using
nadvice.el, for backward compatibility. Having a minor regression in
functionality in this kind of situation is fairly normal.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14734; Package emacs. Full text available.

Message received at 14734 <at> debbugs.gnu.org:


Received: (at 14734) by debbugs.gnu.org; 28 Jun 2013 17:40:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 28 13:40:09 2013
Received: from localhost ([127.0.0.1]:47196 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UsceW-0006gi-8B
	for submit <at> debbugs.gnu.org; Fri, 28 Jun 2013 13:40:08 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:17551)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1UsceS-0006g5-Ku
 for 14734 <at> debbugs.gnu.org; Fri, 28 Jun 2013 13:40:05 -0400
Received: from acsinet22.oracle.com (acsinet22.oracle.com [141.146.126.238])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.1/Sentrion-MTA-4.3.1) with ESMTP id
 r5SHdu4k005764
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Fri, 28 Jun 2013 17:39:57 GMT
Received: from aserz7021.oracle.com (aserz7021.oracle.com [141.146.126.230])
 by acsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id r5SHdtpk028656
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
 Fri, 28 Jun 2013 17:39:56 GMT
Received: from abhmt106.oracle.com (abhmt106.oracle.com [141.146.116.58])
 by aserz7021.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id r5SHdtZI021482;
 Fri, 28 Jun 2013 17:39:55 GMT
MIME-Version: 1.0
Message-ID: <c6e75742-6033-40ff-8fd4-79e190eefa8b@default>
Date: Fri, 28 Jun 2013 10:39:54 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: RE: bug#14734: 24.3.50; REGRESSION: defadvice broken wrt doc strings
 (C-h f)
References: <c72999d0-4210-4719-934d-e9e06f522f70@default>
 <jwvsj034e5b.fsf-monnier+emacs@HIDDEN>
 <9cf39b5d-d100-4b72-bf78-95f6cee0d8c0@default>
In-Reply-To: <9cf39b5d-d100-4b72-bf78-95f6cee0d8c0@default>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.7  (607090) [OL
 12.0.6668.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: acsinet22.oracle.com [141.146.126.238]
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: 14734
Cc: 14734 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.6 (---)

> > If you don't want to see the internal thingy, then use the new
> > advice-add rather than the old defadvice.

So you introduce a regression in user-visible behavior that
degrades the user interface, with the idea that that will
encourage use of your new advice replacement over traditional
defadvice?  Is that it?

Using traditional advice to add to a doc string has always worked
seamlessly: a user saw a single display of help text that included
both the original doc and any doc added by advice, seamlessly.

The change introduced is horrible for users.  Now they see only
the original doc string, plus a link that will be incomprehensible
to many (so skipped over by them):

  :around advice: `ad-Advice-isearch-forward'

And if they do happen to click that uninviting link then they
get an even more incomprehensible page of internal,
advice-oriented code and unintelligible text:

  ad-Advice-isearch-forward is a Lisp function.

  (ad-Advice-isearch-forward AD--ADDOIT-FUNCTION &optional REGEXP-P
  NO-RECURSIVE-EDIT)

  Advice function assembled by advice.el.

  Before-advice `isearch+-doc':
  =20
  Isearch Plus
  =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
  ...

What they should see for `C-h f isearch-forward', and what they have
always seen in the past, is the original `isearch-forward' doc together
with the added doc from advising - it is just appended:

  Isearch Plus
  =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
  ...

Emacs did that by design.  You have broken that.

Not only can Emacs do better, it always HAS.  This is a real step
backward for users.  Intentional or not.  I'm reopening the bug.
I hope you will seriously consider reverting the misguided changes
that introduced this regression.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14734; Package emacs. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 14734-done <at> debbugs.gnu.org:


Received: (at 14734-done) by debbugs.gnu.org; 27 Jun 2013 18:40:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 27 14:40:52 2013
Received: from localhost ([127.0.0.1]:45636 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UsH7j-00036J-NY
	for submit <at> debbugs.gnu.org; Thu, 27 Jun 2013 14:40:52 -0400
Received: from userp1040.oracle.com ([156.151.31.81]:26858)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1UsH7d-00035m-Tl
 for 14734-done <at> debbugs.gnu.org; Thu, 27 Jun 2013 14:40:46 -0400
Received: from ucsinet21.oracle.com (ucsinet21.oracle.com [156.151.31.93])
 by userp1040.oracle.com (Sentrion-MTA-4.3.1/Sentrion-MTA-4.3.1) with ESMTP id
 r5RIYJRS023413
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Thu, 27 Jun 2013 18:34:21 GMT
Received: from aserz7022.oracle.com (aserz7022.oracle.com [141.146.126.231])
 by ucsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id r5RIebcx006400
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
 Thu, 27 Jun 2013 18:40:38 GMT
Received: from abhmt119.oracle.com (abhmt119.oracle.com [141.146.116.71])
 by aserz7022.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id r5RIebXA014365;
 Thu, 27 Jun 2013 18:40:37 GMT
MIME-Version: 1.0
Message-ID: <9cf39b5d-d100-4b72-bf78-95f6cee0d8c0@default>
Date: Thu, 27 Jun 2013 11:40:36 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: RE: bug#14734: 24.3.50; REGRESSION: defadvice broken wrt doc strings
 (C-h f)
References: <c72999d0-4210-4719-934d-e9e06f522f70@default>
 <jwvsj034e5b.fsf-monnier+emacs@HIDDEN>
In-Reply-To: <jwvsj034e5b.fsf-monnier+emacs@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.7  (607090) [OL
 12.0.6668.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: ucsinet21.oracle.com [156.151.31.93]
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: 14734-done
Cc: 14734-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.6 (---)

> tags 14734 wontfix
> thanks
>=20
> >  :around advice: `ad-Advice-isearch-forward'
> > It is also incorrect.  The advice is :before, not :around.
>=20
> It is correct: the ad-Advice-isearch-forward advice is an around advice
> (and it is not your advice, it's internal as you say).
> If you click on it, you'll see your before advice, properly labeled.
>=20
> If you don't want to see the internal thingy, then use the new
> advice-add rather than the old defadvice.

How can you close this bug?  Did you read the whole report?

The addition to the doc string, which is the only point of this particular =
advice, is MISSING from the output of C-h f.  The added text should appear =
at the end of the original doc string, seamlessly.

Please read the whole report and try to control your knee jerks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14734; Package emacs. Full text available.

Message received at 14734-done <at> debbugs.gnu.org:


Received: (at 14734-done) by debbugs.gnu.org; 27 Jun 2013 18:15:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 27 14:15:32 2013
Received: from localhost ([127.0.0.1]:45597 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UsGjD-0001Dh-9X
	for submit <at> debbugs.gnu.org; Thu, 27 Jun 2013 14:15:31 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:54416)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>)
 id 1UsGjB-0001DP-3R; Thu, 27 Jun 2013 14:15:29 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av8EABK/CFFMCppA/2dsb2JhbABEuzWDWRdzgh8BBVYjEAs0EhQYDSSIJMEtkQoDpHqBXoMT
X-IPAS-Result: Av8EABK/CFFMCppA/2dsb2JhbABEuzWDWRdzgh8BBVYjEAs0EhQYDSSIJMEtkQoDpHqBXoMT
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; d="scan'208";a="17311765"
Received: from 76-10-154-64.dsl.teksavvy.com (HELO pastel.home)
 ([76.10.154.64])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 27 Jun 2013 14:15:17 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id E77656BCBC; Thu, 27 Jun 2013 14:15:22 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#14734: 24.3.50;
 REGRESSION: defadvice broken wrt doc strings (C-h f)
Message-ID: <jwvsj034e5b.fsf-monnier+emacs@HIDDEN>
References: <c72999d0-4210-4719-934d-e9e06f522f70@default>
Date: Thu, 27 Jun 2013 14:15:22 -0400
In-Reply-To: <c72999d0-4210-4719-934d-e9e06f522f70@default> (Drew Adams's
 message of "Thu, 27 Jun 2013 10:08:41 -0700 (PDT)")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 14734-done
Cc: 14734-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

tags 14734 wontfix
thanks

>  :around advice: `ad-Advice-isearch-forward'
[...]
> It is also incorrect.  The advice is :before, not :around.

It is correct: the ad-Advice-isearch-forward advice is an around advice
(and it is not your advice, it's internal as you say).
If you click on it, you'll see your before advice, properly labeled.

If you don't want to see the internal thingy, then use the new
advice-add rather than the old defadvice.


        Stefan




Notification sent to Drew Adams <drew.adams@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Stefan Monnier <monnier@HIDDEN>:
You have taken responsibility. Full text available.
Added tag(s) wontfix. Request was from Stefan Monnier <monnier@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Jun 2013 17:09:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 27 13:09:04 2013
Received: from localhost ([127.0.0.1]:45512 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UsFgu-00077h-9D
	for submit <at> debbugs.gnu.org; Thu, 27 Jun 2013 13:09:04 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38657)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1UsFgq-00076u-8b
 for submit <at> debbugs.gnu.org; Thu, 27 Jun 2013 13:09:02 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1UsFgg-0004It-HQ
 for submit <at> debbugs.gnu.org; Thu, 27 Jun 2013 13:08:55 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-100.5 required=5.0 tests=BAYES_05, USER_IN_WHITELIST
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:44927)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1UsFgg-0004Io-FA
 for submit <at> debbugs.gnu.org; Thu, 27 Jun 2013 13:08:50 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:40348)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1UsFgd-0007Am-52
 for bug-gnu-emacs@HIDDEN; Thu, 27 Jun 2013 13:08:48 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1UsFgb-0004I8-WA
 for bug-gnu-emacs@HIDDEN; Thu, 27 Jun 2013 13:08:47 -0400
Received: from userp1040.oracle.com ([156.151.31.81]:31554)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1UsFgb-0004I1-Pi
 for bug-gnu-emacs@HIDDEN; Thu, 27 Jun 2013 13:08:45 -0400
Received: from ucsinet22.oracle.com (ucsinet22.oracle.com [156.151.31.94])
 by userp1040.oracle.com (Sentrion-MTA-4.3.1/Sentrion-MTA-4.3.1) with ESMTP id
 r5RH2OCx029726
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Thu, 27 Jun 2013 17:02:25 GMT
Received: from userz7022.oracle.com (userz7022.oracle.com [156.151.31.86])
 by ucsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id r5RH8g0Y016558
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO)
 for <bug-gnu-emacs@HIDDEN>; Thu, 27 Jun 2013 17:08:43 GMT
Received: from abhmt119.oracle.com (abhmt119.oracle.com [141.146.116.71])
 by userz7022.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id r5RH8gQQ016546
 for <bug-gnu-emacs@HIDDEN>; Thu, 27 Jun 2013 17:08:42 GMT
MIME-Version: 1.0
Message-ID: <c72999d0-4210-4719-934d-e9e06f522f70@default>
Date: Thu, 27 Jun 2013 10:08:41 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3.50; REGRESSION: defadvice broken wrt doc strings (C-h f)
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.7  (607090) [OL
 12.0.6668.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: ucsinet22.oracle.com [156.151.31.94]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

emacs -Q

(defadvice isearch-forward (before isearch+-doc activate)
  "
Isearch Plus
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
...")

`C-h f isearch-forward' does not show this addition to the doc string
at all.  In Emacs 24.3 (and prior releases) there is no such bug.

Furthermore, in the dev snapshot, you see this from `C-h f':

 :around advice: `ad-Advice-isearch-forward'

That should NOT be shown.  That is internal, implementation info.  It is
also incorrect.  The advice is :before, not :around.

And besides missing the added doc string text, this text that introduces
it is also missing (present in Emacs 24.3 and prior, where the first
line is bright red and bold):

 This function is advised.

 Before-advice `isearch+-doc':

That is user-friendly info, and it is correct (:before, not :around).

In GNU Emacs 24.3.50.1 (i686-pc-mingw32)
 of 2013-06-20 on ODIEONE
Bzr revision: 113100 eliz@HIDDEN
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix=3D/c/Devel/emacs/binary --enable-checking=3Dyes,glyphs
 CFLAGS=3D-O0 -g3 LDFLAGS=3D-Lc:/Devel/emacs/lib
 CPPFLAGS=3D-Ic:/Devel/emacs/include'




Acknowledgement sent to Drew Adams <drew.adams@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#14734; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 28 Apr 2016 22:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.